get-slot-value
Prev | Aggregate Types | Next

## Name

get-slot-value — Retrieves a value from a slot of a structure. Macro

## Syntax

    	  get-slot-value obj type field => value

## Arguments and Values

`obj`

  A pointer to foreign structure.

`type`

  A name of the foreign structure.

`field`

  A name of the desired field in foreign structure.

value

  The value of the field in the structure.

## Description

Accesses a slot value from a structure. This is generalized and can be used with `setf`.

## Examples

    (get-slot-value foo-ptr 'foo-structure 'field-name)
    (setf (get-slot-value foo-ptr 'foo-structure 'field-name) 10)

## Side Effects

None.

## Affected by

None.

## Exceptional Situations

None.

Prev | Up | Next
def-struct | Home | get-slot-pointer